"use strict";
const tslib_1 = require("tslib");
const spawn_error_1 = tslib_1.__importDefault(require("../spawn-error"));
class TerminationError extends spawn_error_1.default {
    constructor(info, message = TerminationError.DEFAULT_MESSAGE) {
        super(message(info));
        this.name = this.getName();
        this.info = info;
    }
    getName() {
        return 'SpawnError';
    }
    static DEFAULT_MESSAGE(info) {
        const { command, args, stderr, status, signal } = info;
        const cli = JSON.stringify([command, ...args]);
        const code = JSON.stringify({ status, signal });
        return `Failed to execute ${cli} (${code}) ${stderr}`;
    }
}
module.exports = TerminationError;
